=== debian/changelog ===
ros-kinetic-cob-hand-bridge (0.6.9-1xenial) xenial; urgency=high

  * Merge pull request #27 <https://github.com/ipa320/cob_hand/issues/27> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.8-1xenial) xenial; urgency=high

  * remove -Wno-format flag
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 24 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.7-1xenial) xenial; urgency=high

  * Merge pull request #26 <https://github.com/ipa320/cob_hand/issues/26> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #25 <https://github.com/ipa320/cob_hand/issues/25> from fmessmer/suppress_warnings
    add -Wno-* compile option to suppress warnings
  * add -Wno compile option to suppress warnings
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.6-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.5-1xenial) xenial; urgency=high

  * update pigpio submodule
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 21 Jul 2018 22:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.4-1xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #22 <https://github.com/ipa320/cob_hand/issues/22> from ipa-bnm/fix/cob_hand_init
    Reset error in init
  * reset error on init
  * readded local launch file
  * Merge pull request #21 <https://github.com/ipa320/cob_hand/issues/21> from ipa-bnm/feature/direct_sdh_connection
    added ros node for direct sdax communication
  * mojin robotics copyright
  * remove launch file
  * added ros node for direct sdax communication
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, fmessmer, ipa-fmw

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.3-1xenial) xenial; urgency=high

  * Merge pull request #19 <https://github.com/ipa320/cob_hand/issues/19> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #17 <https://github.com/ipa320/cob_hand/issues/17> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.2-1xenial) xenial; urgency=high

  * properly handle re-init after restart
    tested on cob4-5
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-hand-bridge (0.6.1-1xenial) xenial; urgency=high

  * fix install tags
  * move launch files to bringup
  * start init server after status topic is connected
  * speed-up line parsing
  * fixed offset calculation bug
  * stop timer on preemption
  * improved deadline timer
  * fixed typo in JointValues.msg
  * resend while moving
  * set nominal current as default
  * renamed g_motors_stopped to to g_motion_stopped
  * resend only if control was stopped
  * set default velocity (unused, but must be in valid range)
  * move command string format was wrong, updated to signed
  * pass currents to SDHx
  * read currents from trajectory
  * parse default currents
  * non-positive resend_timer disables it
  * stop resending on error
  * use deadline timer instead of resend timer
  * properly handle goal if already at target
  * added missing dependency
  * Fix for #6 <https://github.com/ipa320/cob_hand/issues/6>, added dependency to self
  * deep-copy port string
  * require movement to start
  * migrated to goalCB
  * increased stopped velocity
  * support trajectories with missing header stamp
  * proper conversions
  * do not test for tolerances size (outdated code)
  * catch not connected error in init
  * first status detected was buggy
  * finger ready  logic was inverted
  * added trajectory interface
  * wait for init_finger service
  * enable recover on non-zero RC
  * Use global namespaces to make remap work
  * Do not check required interfase per default
    rosserial checks FQN, does not work with component namespaces
  * report error on non-zero SDHx return code
  * added diagnostics
  * c&p bug
  * device port was missing the leading slash
  * resize position vector before filling it
  * advertise recover service
  * updated mismatched MD5 sums
  * added first version of node
  * implemented recover service
  * actually read velocity and current from SDHx
  * switched to signed current entry
  * improved line parsing
  * Keep existing PWM setting if value is zero
  * Create README.md
  * PWM just works for first bank
  * added launch file
  * refactored for PWM feature
  * added support for bank1
  * removed sdhx.cpp from CMake config
  * SDHx implementation
  * first test app with GPIO
  * Contributors: Florian Weisshardt, Mathias Lüdtke, ipa-cob4-5, ipa-nhg

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000
